'use strict';

(function ($) {
  function startISLPronto() {
    var link = 'http://islpronto.islonline.net/live/islpronto?';
    link += 'mobile=0';
    link += '&lang=es';
    link += '&template=dn:pandasecurity.com';
    link += '&referrer=' + escape(document.referrer ? document.referrer : '');
    link += '&location=' + escape(window.location ? window.location : '');
    link += '&available_filters=Soporte_Consumo,Soporte_corpo';
    link += '&filter_names=Soporte_Consumo:Productos%20de%20Consumo;Soporte_corpo:Productos%20para%20Empresas';
    link += '&default_filter=Soporte_Consumo';

    var opts = 'status=no,toolbar=no,menubar=no,resizable=yes,location=no';
    opts += ',width=625';
    opts += ',height=500';

    window.open(link, '_islpronto_chat_' + Math.floor(Math.random() * 10000000), opts);
  }

  $(function () {
    $('.texto_siempre_online').text('Siempre online para ayudarte');
    $('.siempre_online').addClass('siempre_online--visible');

    if (ISLProntoInfo.supporters > 0) {
      $('.chat').addClass('active_chat');

      $('#chat_no_sticky').on('click', function (e) {
        e.preventDefault();
        startISLPronto();
      });

      $('#chat_sticky').on('click', function (e) {
        e.preventDefault();
        startISLPronto();
      });
    } else {
      $('.chat').removeClass('active_chat');

      $('.chat').click(function (event) {
        event.preventDefault();
      });
    }
  });
})(jQuery);
